Debian Bug report logs - #650063
update upstream location

version graph

Package: powertop; Maintainer for powertop is Jose Luis Rivas <ghostbar@debian.org>; Source for powertop is src:powertop.

Reported by: Ben Hutchings <ben@decadent.org.uk>

Date: Sat, 26 Nov 2011 03:51:01 UTC

Severity: minor

Found in version powertop/1.97-2

Fixed in version powertop/2.0-0.1

Done: Julian Wollrath <jwollrath@web.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#650063; Package powertop. (Sat, 26 Nov 2011 03:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
New Bug report received and forwarded. Copy sent to Patrick Winnertz <winnie@debian.org>. (Sat, 26 Nov 2011 03:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian/copyright refers to outdated download location
Date: Sat, 26 Nov 2011 03:48:20 +0000
Package: powertop
Version: 1.97-2
Severity: serious

http://www.linuxpowertop.org/download/ returns 403.

The 'Download' link on the front page of that site takes me to
http://www.linuxpowertop.org/download.php which tells me the latest
version is 1.8.

Well, let's try under 'Subversion access'.  That link takes me to
http://code.google.com/p/powertop/ which has version 1.11.  But
'Powertop has moved to GIT. Please checkout our git tree from
git.moblin.org instead of using SVN.'  Moblin, eh?  Unsurprisingly,
that's also dead, 502.

A web search finds http://www.lesswatts.org/projects/powertop/
where the latest version is 1.13.

Where *did* you find this version?

Ben.

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.utf8, LC_CTYPE=en_GB.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages powertop depends on:
ii  libc6         2.13-21         
ii  libgcc1       1:4.6.2-4       
ii  libncursesw5  5.9-4           
ii  libnl2        2.0-1           
ii  libpci3       1:3.1.7-12      
ii  libstdc++6    4.6.2-4         
ii  zlib1g        1:1.2.3.4.dfsg-3

powertop recommends no packages.

Versions of packages powertop suggests:
pn  cpufrequtils       007-2 
pn  laptop-mode-tools  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#650063; Package powertop. (Sat, 26 Nov 2011 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Sat, 26 Nov 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 650063@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 650063-submitter@bugs.debian.org
Cc: 650063@bugs.debian.org
Subject: Re: debian/copyright refers to outdated download location
Date: Sat, 26 Nov 2011 06:52:15 +0100
severity 650063 normal
retitle 650063 update upstream location
thanks

using a web search engine, you would find out within the first results,
that the download of powertop is:

  http://www.kernel.org/pub/linux/status/powertop/powertop-1.97.tar.bz2

for version 1.97, that is

  http://www.kernel.org/pub/linux/status/powertop/powertop-1.97.tar.gz

as you know, much stuff on kernel.org is not yet restored after the
break-in, you might thus use an old mirror, such as:

  http://mirror.be.gbxs.net/pub/linux/status/powertop/

i understand that this is all really hard to find out, but i assume the
maintainer will update all urls and such in the package once stuff is
back on kernel.org and upgrade to the latest upstream version. adjusting
overrated severity in the meantime.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'normal' from 'serious' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 26 Nov 2011 05:57:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'update upstream location' from 'debian/copyright refers to outdated download location' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sat, 26 Nov 2011 05:57:05 GMT) Full text and rfc822 format available.

Message sent on to Ben Hutchings <ben@decadent.org.uk>:
Bug#650063. (Sat, 26 Nov 2011 05:57:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#650063; Package powertop. (Sat, 26 Nov 2011 11:08:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Sat, 26 Nov 2011 11:08:43 GMT) Full text and rfc822 format available.

Message #22 received at 650063@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: daniel.baumann@progress-technologies.net, 650063-quiet@bugs.debian.org
Cc: 650063-submitter@bugs.debian.org, 650063@bugs.debian.org
Subject: Re: Bug#650063: debian/copyright refers to outdated download location
Date: Sat, 26 Nov 2011 10:58:01 +0000
[Message part 1 (text/plain, inline)]
On Sat, 2011-11-26 at 06:52 +0100, Daniel Baumann wrote:
> severity 650063 normal
> retitle 650063 update upstream location
> thanks
> 
> using a web search engine, you would find out within the first results,
> that the download of powertop is:
[...]
> i understand that this is all really hard to find out,

Well, I gave up after the first few stale results.  The upstream project
is a mess.

> but i assume the
> maintainer will update all urls and such in the package once stuff is
> back on kernel.org and upgrade to the latest upstream version. adjusting
> overrated severity in the meantime.

It's not overrated; this is a policy violation.

Ben.

-- 
Ben Hutchings
Experience is directly proportional to the value of equipment destroyed.
                                                         - Carolyn Scheppner
[signature.asc (application/pgp-signature, inline)]

Severity set to 'serious' from 'normal' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 26 Nov 2011 11:09:11 GMT) Full text and rfc822 format available.

Information stored :
Bug#650063; Package powertop. (Sat, 26 Nov 2011 11:13:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and filed, but not forwarded. (Sat, 26 Nov 2011 11:13:43 GMT) Full text and rfc822 format available.

Message sent on to Ben Hutchings <ben@decadent.org.uk>:
Bug#650063. (Sat, 26 Nov 2011 11:13:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#650063; Package powertop. (Fri, 02 Dec 2011 16:15:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel de Val Borro <miguel.deval@gmail.com>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Fri, 02 Dec 2011 16:15:21 GMT) Full text and rfc822 format available.

Message #37 received at 650063@bugs.debian.org (full text, mbox):

From: Miguel de Val Borro <miguel.deval@gmail.com>
To: 650063@bugs.debian.org
Date: Fri, 2 Dec 2011 17:12:05 +0100
I have looked for the powertop-1.97.tar.gz file and could not find it.
The powertop git repository at git.kernel.org is also down at the
moment.

It seems that the source code is only accessible from the kernel.org mirror:
http://mirror.be.gbxs.net/pub/linux/status/powertop/




Severity set to 'minor' from 'serious' Request was from Edward Allcutt <edward@allcutt.me.uk> to control@bugs.debian.org. (Sat, 03 Mar 2012 17:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#650063; Package powertop. (Sat, 03 Mar 2012 17:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Allcutt <edward@allcutt.me.uk>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Sat, 03 Mar 2012 17:42:03 GMT) Full text and rfc822 format available.

Message #44 received at 650063@bugs.debian.org (full text, mbox):

From: Edward Allcutt <edward@allcutt.me.uk>
To: 650063@bugs.debian.org
Subject: Re: debian/copyright refers to outdated download location
Date: Sat, 3 Mar 2012 17:35:34 +0000 (GMT)
user debian-release@lists.debian.org
usertags 650063 + bsp-2012-03-gb-cambridge
limit package powertop
severity 650063 minor
thanks

It is not clear that the upstream tarball was not downloaded from the URI 
given in debian/copyright. That the URI is no longer working does not seem 
itself to be a policy violoation.

-- 
Edward Allcutt




Information forwarded to debian-bugs-dist@lists.debian.org, Patrick Winnertz <winnie@debian.org>:
Bug#650063; Package powertop. (Fri, 11 May 2012 00:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan McCrohan <jmccrohan@gmail.com>:
Extra info received and forwarded to list. Copy sent to Patrick Winnertz <winnie@debian.org>. (Fri, 11 May 2012 00:57:07 GMT) Full text and rfc822 format available.

Message #49 received at 650063@bugs.debian.org (full text, mbox):

From: Jonathan McCrohan <jmccrohan@gmail.com>
To: Debian Bug Tracking System <650063@bugs.debian.org>
Subject: Re: update upstream location
Date: Fri, 11 May 2012 01:52:50 +0100
Package: powertop
Version: 1.97-2
Followup-For: Bug #650063

powertop 2.0 is now available, and has a new homepage: https://01.org/powertop/

Jon

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (650, 'testing'), (600, 'unstable'), (450, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_IE.utf8, LC_CTYPE=en_IE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages powertop depends on:
ii  libc6         2.13-32
ii  libgcc1       1:4.7.0-7
ii  libncursesw5  5.9-6
ii  libnl2        2.0-1
ii  libpci3       1:3.1.9-2
ii  libstdc++6    4.7.0-7
ii  zlib1g        1:1.2.6.dfsg-2

powertop recommends no packages.

Versions of packages powertop suggests:
pn  cpufrequtils       007-2
pn  laptop-mode-tools  <none>

-- no debconf information




Reply sent to Julian Wollrath <jwollrath@web.de>:
You have taken responsibility. (Thu, 28 Jun 2012 17:24:10 GMT) Full text and rfc822 format available.

Notification sent to Ben Hutchings <ben@decadent.org.uk>:
Bug acknowledged by developer. (Thu, 28 Jun 2012 17:24:10 GMT) Full text and rfc822 format available.

Message #54 received at 650063-close@bugs.debian.org (full text, mbox):

From: Julian Wollrath <jwollrath@web.de>
To: 650063-close@bugs.debian.org
Subject: Bug#650063: fixed in powertop 2.0-0.1
Date: Thu, 28 Jun 2012 17:20:17 +0000
Source: powertop
Source-Version: 2.0-0.1

We believe that the bug you reported is fixed in the latest version of
powertop, which is due to be installed in the Debian FTP archive:

powertop_2.0-0.1.debian.tar.gz
  to main/p/powertop/powertop_2.0-0.1.debian.tar.gz
powertop_2.0-0.1.dsc
  to main/p/powertop/powertop_2.0-0.1.dsc
powertop_2.0-0.1_amd64.deb
  to main/p/powertop/powertop_2.0-0.1_amd64.deb
powertop_2.0.orig.tar.bz2
  to main/p/powertop/powertop_2.0.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 650063@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Wollrath <jwollrath@web.de> (supplier of updated powertop package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 26 Jun 2012 01:02:30 +0200
Source: powertop
Binary: powertop
Architecture: source amd64
Version: 2.0-0.1
Distribution: unstable
Urgency: low
Maintainer: Patrick Winnertz <winnie@debian.org>
Changed-By: Julian Wollrath <jwollrath@web.de>
Description: 
 powertop   - Linux tool to find out what is using power on a laptop
Closes: 564847 634218 638300 650063 652466 656421 665695 672555
Changes: 
 powertop (2.0-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * New upstream version (Closes: #665695, #672555, #652466, #638300)
   * Build against libnl3 (Closes: #656421)
   * Add manpage, cherry-picked from upstream sources (Closes: #564847)
   * Update watch and copyright file (Closes: #650063, #634218)
   * Bump standards version to 3.9.3 (no changes needed)
   * Change debian/compat to 9
   * Add patch to fix issues with building against libnl-3
   * Change build depencies from libnl2-dev to libnl-3-dev and libnl-genl-3-dev
   * Drop no longer needed patches fix_prefix_in_manpage.patch,
     fix_NR_perf_event_open_on_ia64.patch, fix_csstoh_on_sparc
   * Change priority from optional to extra, hence the problem on the QA page
     is addressed which states, that there is a override from optional to
     extra.
Checksums-Sha1: 
 8aeb91564d2b3885bb8b3cdee8c79dbab4f71b96 1838 powertop_2.0-0.1.dsc
 ec64a472a4e1539d6dfc9725f6d934e908d5930c 456654 powertop_2.0.orig.tar.bz2
 cfe96f7fdfe84b814ed4f582ca0782846d42fe14 7636 powertop_2.0-0.1.debian.tar.gz
 10dceb81a2a9631352d92b58ae39b7045889e82e 173468 powertop_2.0-0.1_amd64.deb
Checksums-Sha256: 
 fa1b4ef76dbcc5ec1201ef93a8ebb806cc16a5852420c19791ceb3c9b6a3fbed 1838 powertop_2.0-0.1.dsc
 7af51d320856b3446bcc314c9414385f3b05b9360f650883b0210cd3b12c5c1c 456654 powertop_2.0.orig.tar.bz2
 20216776c93ee70f00f45450a2309d3a528d0b3ecb39f7141f488382f50ee850 7636 powertop_2.0-0.1.debian.tar.gz
 10917394ab6945badfe7a836ff7fc69be310c4dfa686ffce6784041af4afa841 173468 powertop_2.0-0.1_amd64.deb
Files: 
 4bad8851324513c7795c0ee0f1f06518 1838 utils extra powertop_2.0-0.1.dsc
 8f27e2b0bf1c68b1f5a9a98294238bb2 456654 utils extra powertop_2.0.orig.tar.bz2
 b2c99dbc65bd0140f2091ad3e9d7fad7 7636 utils extra powertop_2.0-0.1.debian.tar.gz
 eb292d710fb83f73f4b9aa9b8f078bb0 173468 utils extra powertop_2.0-0.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJP6ek5AAoJELs6aAGGSaoGcRwQAL96/L23HNUxya4wLt9neVka
8qb1WTKg20sTd3N9xFssWrsPyuxou2cdDWvqh+z+Ty9mcWHk7uqtR/o3DBgX0Wws
FfK8bq0BNpx8PD8g+9Oq7FrIMgwxYTw3eO+yBvJbGWT+MMBxSplQ64HlB48+37cX
NxjZqBOQ69iPTwgqPrSBnlkr2oDWpScnXchES4mV6gfNDxjH/PGw9QTi/Cgerz1C
r+LaE6peL5jI5+/zIMb2Rwf49oNWNFmhcSPdva9MiIsDPj+PWcxNFXJFVpFkgqws
dpOM0x5JE4Fq8aILWxSng0icbTA4ocStLqnBayDHMFpyom33hTtaOKNCw03MmgPT
9Q0/CQOavgGuXASRl2+fZFShh2CFXrxP1bsQ/fQoFOQBSx9DWjogL7+hp0aifZE0
HQZx3u4aS/G75MLutwUbJctP8moJldtlpPmSnEqipAcGriKyLCG1Co3Fen3cPVCR
q4gXXFboAJBqYr8XSypyqPlL8ZOOjlec7JE62QC2N3iDJWRjJpmezg1pKFBuSWaF
UkHR2HBwuzFAq4dJvV8tRi3EVSXOSY/mutV9at/klIPkGBgqvCeBxrjCV0IxORBU
uGdhdvKrScgl1LIIPejQeT+K75FWX+CDbDa5MkdvNxzoiAVRz3cjVcE5NuIyws9O
CypsVpXQIGIopjmUjPzo
=K+4y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 28 Jul 2012 07:35:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:07:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.